<div class="p-20">
	<div class="mb-20">
		<h3 fxFlex=""> Направления подготовки </h3>

		<div>
			<a routerLink="add"
				mat-flat-button color="accent"> Добавить направления подготовки </a>

		</div>

	</div>

	<app-loader *ngIf="isLoad"></app-loader>

	<div class="art-card"
		*ngIf="directions"
		[@animate]="{value:'*',params:{delay:'300ms',y:'25px'}}">
		<table mat-table [dataSource]="directions" [multiTemplateDataRows]="true">
			<ng-container matColumnDef="educationLevel">
				<th mat-header-cell *matHeaderCellDef > Уровень образования </th>
				<td mat-cell *matCellDef="let row"> {{ row.name_education_level }}</td>
			</ng-container>
			<ng-container matColumnDef="educationLevelSearch">
				<th mat-header-cell *matHeaderCellDef >
					<div >
						<mat-form-field appearance="standard" fxFlex="">
							<mat-select [(ngModel)]="params.search_education_level"
								(valueChange)="search.next($event)"
								multiple="true"
								placeholder="Уровень образования">
								<mat-option *ngFor="let item of educationsLevel" [value]="item.id">
									{{item.name}}
								</mat-option>
							</mat-select>
						</mat-form-field>

					</div>

				</th>
			</ng-container>



			<ng-container matColumnDef="parent">
				<th mat-header-cell *matHeaderCellDef > Укрупненная группа </th>
				<td mat-cell *matCellDef="let row"> {{ row.code_parent }} {{row.name_parent}}</td>
			</ng-container>
			<ng-container matColumnDef="parentSearch">
				<th mat-header-cell *matHeaderCellDef >
					<div >
						<mat-form-field appearance="standard" fxFlex="">
							<input matInput
								(input)="search.next($event.target.value)"
								[(ngModel)]="params.search_parent"
								placeholder="Поиск по укрупненной группе">
						</mat-form-field>

					</div>

				</th>
			</ng-container>


			<ng-container matColumnDef="directions">
				<th mat-header-cell *matHeaderCellDef > Направление подготовки </th>
				<td mat-cell *matCellDef="let row"> {{ row.code }} {{row.name}}</td>
			</ng-container>
			<ng-container matColumnDef="directionsSearch">
				<th mat-header-cell *matHeaderCellDef >
					<div >
						<mat-form-field appearance="standard" fxFlex="">
							<input matInput
								(input)="search.next($event.target.value)"
								[(ngModel)]="params.search_specialty"
								placeholder="Поиск по направлению подготовки">
						</mat-form-field>

					</div>

				</th>
			</ng-container>

			<ng-container matColumnDef="actions">
				<th mat-header-cell *matHeaderCellDef >  </th>
				<td mat-cell *matCellDef="let row">
					<button mat-icon-button (click)="delete(row.id)" color="primary"> <mat-icon svgIcon="close"></mat-icon> </button>
				</td>
			</ng-container>

			<ng-container matColumnDef="actionsSearch">
				<th mat-header-cell *matHeaderCellDef >
					<button mat-icon-button
						[disabled]="! (this.params.search_education_level
						|| this.params.search_parent
						|| this.params.search_specialty)"
						color="primary"
						(click)="clearFilter($event)">
						<mat-icon svgIcon="cancel" matTooltip="Очистить фильтр"></mat-icon>
					</button>
				</th>
			</ng-container>

			<ng-container matColumnDef="noRecord">
				<td mat-footer-cell *matFooterCellDef  [colSpan]="displayedColumns.length" ><i>Направлений подготовки не найдено</i> </td>
			</ng-container>

			<tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: false"></tr>
			<tr mat-header-row *matHeaderRowDef="searchColumns; sticky: false"></tr>
			<tr mat-row *matRowDef="let item; columns: displayedColumns; " ></tr>
			<tr mat-row *matFooterRowDef="['noRecord'] " [hidden]="directions.length" ></tr>

		</table>
		<mat-paginator  [length]="total"
			[pageIndex]="params.page - 1"
			[pageSize]="params.limit"
			(page)="pagination.next($event)"
			[pageSizeOptions]="pageSizeOptions"
			showFirstLastButtons>
		</mat-paginator>
	</div>

</div>
